%global momorel 15

Name:           perl-Net-SNMP
Version:        6.0.1
Release:        %{momorel}m%{?dist}
Summary:        Object oriented interface to SNMP
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-SNMP/
Source0:        http://www.cpan.org/authors/id/D/DT/DTOWN/Net-SNMP-v%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-Crypt-DES >= 2.03
BuildRequires:  perl-Crypt-Rijndael >= 1.02
BuildRequires:  perl-Digest-HMAC >= 1.00
BuildRequires:  perl-Digest-MD5 >= 2.11
BuildRequires:  perl-Digest-SHA1 >= 1.02
BuildRequires:  perl-IO
BuildRequires:  perl-Math-BigInt
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Socket6 >= 0.23
BuildRequires:  perl-Test
Requires:       perl-Crypt-DES >= 2.03
Requires:       perl-Crypt-Rijndael >= 1.02
Requires:       perl-Digest-HMAC >= 1.00
Requires:       perl-Digest-MD5 >= 2.11
Requires:       perl-Digest-SHA1 >= 1.02
Requires:       perl-IO
Requires:       perl-Math-BigInt
Requires:       perl-Socket6 >= 0.23
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
The Net::SNMP module abstracts the intricate details of the Simple
Network Management Protocol by providing a high level programming
interface to the protocol. Each Net::SNMP object provides a one-to-one
mapping between a Perl object and a remote SNMP agent or manager. Once an
object is created, it can be used to perform the basic protocol exchange
actions defined by SNMP.

%prep
%setup -q -n Net-SNMP-v%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{_bindir}/snmpkey
%{perl_vendorlib}/Net/SNMP.pm
%{perl_vendorlib}/Net/SNMP
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-15m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-14m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-13m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-12m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-11m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-10m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-9m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-8m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-7m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-6m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-5m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (6.0.1-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (6.0.1-3m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-2m)
- rebuild against perl-5.12.2

* Tue Sep 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.1-1m)
- update to 6.0.1
- Specfile re-generated by cpanspec 1.78.

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (6.0.0-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.0-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.0-4m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.0-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.0.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.0-1m)
- update to 6.0.0

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.2.0-7m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.2.0-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.2.0-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (5.2.0-4m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (5.2.0-3m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.2.0-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (5.2.0-1m)
- update to 5.2.0

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.0.1-1m)
- version up to 5.0.1
- built against perl-5.8.7

* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.1.2-5m)
- revised docdir permission

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.1.2-4m)
- rebuild against perl-5.8.5
- rebuild against perl-Crypt-DES 2.03-9m
- rebuild against perl-Digest-SHA1 2.06-3m
- rebuild against perl-Digest-HMAC 1.01-12m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.1.2-3m)
- remove Epoch from BuildRequires

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (4.1.2-2m)
- revised spec for rpm 4.2.

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.2-1m)

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-6m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.3-5m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (4.0.3-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Wed Dec  4 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.0.3-3m)
- add BuildRequires: perl-Digest-HMAC

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.3-2m)
- rebuild against perl-5.8.0

* Sun Sep 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.3-1m)

* Mon Aug  5 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.2-3m)
- revise URL

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.0.2-2m)
- fix install directory of man(reported by Kyoichi Ozaki <k@afromania.org> [Momonga-devel.ja:00282])

* Wed Jul 31 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.2-1m)
- spec file was semi-autogenerated. 
